
Core - Bug # 52841

Status: Resolved Priority: Must have
Author: Steffen Ritter Category: File Abstraction Layer (FAL)
Created: 2013-10-15 Assigned To:
Updated: 2013-11-16 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: New FAL Indexer
Description

Subtasks:
Bug # 53599: The Actual Indexer Resolved
Bug # 53600: The Indexer Usage Resolved
Bug # 53601: Scheduler Tasks Resolved
Related issues:
related to Core - Bug # 52972: InvalidArgumentException in several cases Closed 2013-10-19

Associated revisions
Revision b09a278a - 2013-11-16 03:30 - Steffen Ritter

[FEATURE] New FAL Indexer and ExtractorRegistry

A new Indexer for FAL according to the concept of the BluePrint, also
adding a new ExtractorRegistry where extensions can register their
extraction classes (implementing ExtractorInterface).

See: http://wiki.typo3.org/Blueprints/FAL-IndexerRework

Releases: 6.2
Resolves: #52841, #53599
Change-Id: I06e8d011096c88221aaf62bd0a25e681692dbfa0
Reviewed-on: https://review.typo3.org/25370
Reviewed-by: Frans Saris
Tested-by: Frans Saris
Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny

History
#1 - 2013-10-15 13:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24747

#2 - 2013-11-08 10:38 - Gerrit Code Review
Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24747

#3 - 2013-11-08 12:03 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24747

#4 - 2013-11-09 17:07 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24747

#5 - 2013-11-09 23:29 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24747

#6 - 2013-11-10 00:18 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24747

#7 - 2013-11-11 13:55 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24747

#8 - 2013-11-11 21:15 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24747

#9 - 2013-11-12 10:39 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24747

#10 - 2013-11-12 10:49 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24747

#11 - 2013-11-12 18:25 - Gerrit Code Review
Patch set 14 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24747

#12 - 2013-11-12 18:29 - Gerrit Code Review

Patch set 15 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24747

#13 - 2013-11-12 19:27 - Gerrit Code Review

Patch set 16 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24747

#14 - 2013-11-12 20:24 - Gerrit Code Review

Patch set 17 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24747

#15 - 2013-11-13 01:30 - Gerrit Code Review

Patch set 18 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/24747

#16 - 2013-11-13 13:16 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25370

#17 - 2013-11-13 13:17 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25371

#18 - 2013-11-13 13:17 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25372

#19 - 2013-11-13 16:26 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25370

#20 - 2013-11-13 18:22 - Gerrit Code Review
Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25370

#21 - 2013-11-13 18:57 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25372

#22 - 2013-11-13 18:59 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25371

#23 - 2013-11-13 23:53 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25370

#24 - 2013-11-15 19:46 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25370

#25 - 2013-11-15 19:52 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25371

#26 - 2013-11-16 03:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b09a278aefc5688bc36a1ad366d979b0af0fe0a4.
